India Class Reference
Date and time calculations » Calendars

Indian calendars. More...

`#include <ql/time/calendars/india.hpp>`

Inheritance diagram for India:
[legend]

## Public Types

enum | Market { NSE }

## Public Member Functions

| India (Market m=NSE)
Public Member Functions inherited from Calendar
| Calendar ()
bool | empty () const
| Returns whether or not the calendar is initialized.
std::string | name () const
| Returns the name of the calendar. More...
const std::set< Date > & | addedHolidays () const
const std::set< Date > & | removedHolidays () const
bool | isBusinessDay (const Date &d) const
bool | isHoliday (const Date &d) const
bool | isWeekend (Weekday w) const
bool | isEndOfMonth (const Date &d) const
Date | endOfMonth (const Date &d) const
| last business day of the month to which the given date belongs
void | addHoliday (const Date &)
void | removeHoliday (const Date &)
std::vector< Date > | holidayList (const Date &from, const Date &to, bool includeWeekEnds=false) const
std::vector< Date > | businessDayList (const Date &from, const Date &to) const
Date | adjust (const Date &, BusinessDayConvention convention=Following) const
Date | advance (const Date &, Integer n, TimeUnit unit, BusinessDayConvention convention=Following, bool endOfMonth=false) const
Date | advance (const Date &date, const Period &period, BusinessDayConvention convention=Following, bool endOfMonth=false) const
Date::serial_type | businessDaysBetween (const Date &from, const Date &to, bool includeFirst=true, bool includeLast=false) const

## Additional Inherited Members

Static Public Member Functions inherited from Calendar
static QL_DEPRECATED std::vector< Date > | holidayList (const Calendar &calendar, const Date &from, const Date &to, bool includeWeekEnds=false)
Protected Attributes inherited from Calendar
ext::shared_ptr< Impl > | impl_
Related Functions inherited from Calendar
bool | operator== (const Calendar &, const Calendar &)
bool | operator!= (const Calendar &, const Calendar &)
std::ostream & | operator<< (std::ostream &, const Calendar &)

## Detailed Description

Indian calendars.

Holidays for the National Stock Exchange (data from http://www.nse-india.com/):

- Saturdays
- Sundays
- Republic Day, January 26th
- Good Friday
- Ambedkar Jayanti, April 14th
- May Day, May 1st
- Independence Day, August 15th
- Gandhi Jayanti, October 2nd
- Christmas, December 25th

Other holidays for which no rule is given (data available for 2005-2014 only:)

- Bakri Id
- Moharram
- Mahashivratri
- Holi
- Ram Navami
- Mahavir Jayanti
- Id-E-Milad
- Maharashtra Day
- Buddha Pournima
- Ganesh Chaturthi
- Dasara
- Laxmi Puja
- Bhaubeej
- Ramzan Id
- Guru Nanak Jayanti

## Member Enumeration Documentation

## Market

enum Market

Enumerator
NSE | National Stock Exchange.